package ru.yandex.webmaster3.core.iks.data;

import com.fasterxml.jackson.annotation.JsonCreator;
import ru.yandex.autodoc.common.doc.annotation.Description;

/**
 * Created by ifilippov5 on 24.04.18.
 */
public class IksHostSampleItem {
    private final String mainMirrorDisplayName;
    private final String title;
    private final Integer iks;

    @JsonCreator
    public IksHostSampleItem(String mainMirrorDisplayName, String title, Integer iks) {
        this.mainMirrorDisplayName = mainMirrorDisplayName;
        this.title = title;
        this.iks = iks;
    }

    @Description("главное зеркало сайта")
    public String getMainMirrorDisplayName() {
        return mainMirrorDisplayName;
    }

    @Description("тайтл главной страницы")
    public String getTitle() {
        return title;
    }

    @Description("значение икса")
    public Integer getIks() {
        return iks;
    }
}
